Devuan bug report logs - #683
LXQt panel: grouped window popup disappears on mouseover

Package: lxpanel; Maintainer for lxpanel is (unknown); Source for lxpanel is src:lxpanel.

Reported by: Phil Hopkins <phil.hopkins@gmail.com>

Date: Fri, 1 Jul 2022 04:30:02 UTC

Severity: normal

Tags: debian

Found in version 0.10.1-2

Forwarded to https://bugs.debian.org/1014153

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#683; Package lxpanel. (Fri, 01 Jul 2022 04:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Phil Hopkins <phil.hopkins@gmail.com>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Fri, 01 Jul 2022 04:30:08 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Phil Hopkins <phil.hopkins@gmail.com>
To: submit@bugs.devuan.org
Subject: LXQt panel: grouped window popup disappears on mouseover
Date: Thu, 30 Jun 2022 23:26:51 -0500
[Message part 1 (text/plain, inline)]
Package: lxpanel
Version: 0.10.1-2
Severity: normal

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate
***

   * What led up to the situation? I using lxpanel when I use the task
manager and I have multiple windows open for a task when I mouse
over the task a popup occurs. When I move the mouse to select the
window I desire the popup list dissapears. This seems to be the
same bug that was reported to LXQT at:
https://github.com/lxqt/lxqt-panel/issues/1600
I ahve run all updates. This problem showed up a few weeks ago and at
least one other user is having the same problem.

*** End of the template - remove these template lines ***


-- System Information:
Debian Release: bookworm/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.17.0-3-amd64 (SMP w/8 CPU threads; PREEMPT)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE,
TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8),
LANGUAGE=en_US:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages lxpanel depends on:
ii  libasound2           1.2.6.1-2+b1
ii  libc6                2.33-7
ii  libcairo2            1.16.0-5
ii  libcurl3-gnutls      7.84.0-1
ii  libfm-gtk4           1.3.2-1
ii  libfm-modules        1.3.2-1
ii  libfm4               1.3.2-1
ii  libgdk-pixbuf-2.0-0  2.42.8+dfsg-1
ii  libglib2.0-0         2.72.2-2
ii  libgtk2.0-0          2.24.33-2
ii  libiw30              30~pre9-13.1
ii  libkeybinder0        0.3.1-2.1
ii  libmenu-cache3       1.1.0-1.1
ii  libpango-1.0-0       1.50.7+ds-1
ii  libwnck22            2.30.7-6+b1
ii  libx11-6             2:1.7.5-1
ii  libxml2              2.9.14+dfsg-1
ii  lxmenu-data          0.1.5-2.1
ii  lxpanel-data         0.10.1-2

Versions of packages lxpanel recommends:
ii  gnome-alsamixer                           0.9.7~cvs.20060916.ds.1-5+b1
ii  gnome-shell [notification-daemon]         42.2-1
ii  gnome-terminal [x-terminal-emulator]      3.44.1-1
ii  libnotify-bin                             0.7.12-1
ii  lxqt-notificationd [notification-daemon]  0.16.0-1
ii  lxterminal [x-terminal-emulator]          0.4.0-2
ii  mlterm [x-terminal-emulator]              3.9.0-1+b1
ii  notification-daemon                       3.20.0-4+b1
ii  pavucontrol                               5.0-2
ii  qterminal [x-terminal-emulator]           0.16.1-1
ii  xfce4-notifyd [notification-daemon]       0.6.3-1
ii  xfce4-terminal [x-terminal-emulator]      1.0.4-1
ii  xiterm+thai [x-terminal-emulator]         1.10-2+b2
ii  xkb-data                                  2.35.1-1
ii  xterm [x-terminal-emulator]               372-1

Versions of packages lxpanel suggests:
ii  brave-browser [www-browser]  1.40.107
ii  chromium [www-browser]       103.0.5060.53-1
ii  dillo [www-browser]          3.0.5-7+b1
ii  elinks [www-browser]         0.13.2-1+b3
ii  firefox-esr [www-browser]    91.11.0esr-1
ii  links [www-browser]          2.27-1
ii  lynx [www-browser]           2.9.0dev.10-1
ii  menu                         2.1.49
ii  midori [www-browser]         7.0-2.1+b1
ii  netsurf-gtk [www-browser]    3.10-1+b3
ii  w3m [www-browser]            0.5.3+git20220429-1+b1

-- no debconf information
[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#683; Package lxpanel. (Fri, 01 Jul 2022 11:02:02 GMT) (full text, mbox, link).


Message #8 received at 683@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Phil Hopkins <phil.hopkins@gmail.com>, 683@bugs.devuan.org
Subject: Re: bug#683: LXQt panel: grouped window popup disappears on mouseover
Date: Fri, 1 Jul 2022 11:59:02 +0100
Control: tags -1 debian

Phil,

Thanks for this.

However, I am slightly confused:

On Thu, Jun 30, 2022 at 11:26:51PM -0500, Phil Hopkins wrote:
>    Package: lxpanel
>    Version: 0.10.1-2

You have reported against lxpanel (part of LXDE)

>    Severity: normal
>    Dear Maintainer,
>    *** Reporter, please consider answering these questions, where
>    appropriate ***
>       * What led up to the situation? I using lxpanel when I use the task
>    manager and I have multiple windows open for a task when I mouse
>    over the task a popup occurs. When I move the mouse to select the
>    window I desire the popup list dissapears. This seems to be the
>    same bug that was reported to LXQT at:
>    https://github.com/lxqt/lxqt-panel/issues/1600

but this issue/fix relates to lxqt-panel. Aren't they different?

Irresepctive, there are no forked LXDE or LXQt packages in Devuan and we use
Debian's packages directly without recompilation. So this issue should be
reported to Debian's BTS to be fixed.

It appears the LXQt issue and the related issue #1601 are fixed and closed
upstream so when the packages are updated Debian, Devuan will use them

>    -- System Information:
>    Debian Release: bookworm/sid
>      APT prefers unstable
>      APT policy: (500, 'unstable')

Are you actually running Devuan anyway? This looks like Debian sid?

Mark

Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 683-submit@bugs.devuan.org. (Fri, 01 Jul 2022 11:02:06 GMT) (full text, mbox, link).


Set bug forwarded-to-address to 'https://bugs.debian.org/1014153'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Fri, 01 Jul 2022 13:22:01 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#683; Package lxpanel. (Sat, 02 Jul 2022 05:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Phil Hopkins <phil.hopkins@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Sat, 02 Jul 2022 05:00:38 GMT) (full text, mbox, link).


Message #17 received at 683@bugs.devuan.org (full text, mbox, reply):

From: Phil Hopkins <phil.hopkins@gmail.com>
To: 683@bugs.devuan.org
Subject: LXQt panel: grouped window popup disappears on mouseover
Date: Fri, 1 Jul 2022 23:56:36 -0500
[Message part 1 (text/plain, inline)]
Yes, I am using Devuan  but I use lxqt for my desktop. Apparently these
packages are maintained by debian. I have filed a bug report with them. You
can close this bug report.

Phil
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Mon Oct 3 05:10:26 2022;